<?php
/**
 * @author Acacia Dynamic
 * @copyright 2024 Acacia Dynamic
 * @license private
 */
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

if (file_exists('./../../../../../wp-load.php')) {
    define('WP_USE_THEMES', false); // Don't load theme support functionality
    require './../../../../../wp-load.php';
} else {
    require './../../../../../config/config.inc.php';
    require './../../../../../init.php';
    require_once './../../../digitalsignage.php';
    DigitalSignageTranslate::setLang(substr(get_bloginfo('language'), 0, 2));
}

require_once __DIR__ . '/../../Classes/Tools_DS4.php';
require_once __DIR__ . '/../../Kernel/API/Manager/DigitalSignageException.php';
require_once __DIR__ . '/../../Kernel/Translations/DigitalSignageTranslate.php';
require_once __DIR__ . '/../../Classes/Wp_caller.php';
require_once __DIR__ . '/../../Kernel/API/Manager/DemandeManager.php';
require_once __DIR__ . '/../../controllers/override/UpdateVideoHandleManager.php';

if (!defined('_PS_VERSION_')) {
    exit;
}

$demande_items = 'false';

if (Tools::getIsset('demande_items') && Tools::getValue('demande_items') == 'true') {
    $demande_items = 'true';
}

$videoHandlerManager = new UpdateVideoHandlerManager($demande_items, (Tools::getIsset('demande_id')) ? Tools::getValue('demande_id') : null, (Tools::getIsset('product_id')) ? Tools::getValue('product_id') : null);
$videoHandlerManager->echoHtmlDatas();
