{*
* @author Acacia Dynamic
*  @copyright 2024 Acacia Dynamic
*  @license   private
*}
{block name='content'}
    <div style="width:100%">
		<div style="display: inline-block; vertical-align: top; width: 80%;">

			<div class="ds_card wp_card">

				{if $forfait}
					{if $forfait->getTrial()}
						<h2 id="{$forfait->getToken()}"> {$t::getTraduction( "Connexion")} </h2>
						{include file='../Form/form.tpl' myForm=$formConnection}

					{else}
						<h2>{$t::getTraduction( "Compte_ds4" , {($forfait->getTrial())?$t::getTraduction("d_essai"):""} , $t::getTraduction("Digital_Signage_4"))} </h2>
						<br>
						<h4>{$t::getTraduction( "Token_connexion")} : {$forfait->getToken()}</h4>
						{include file='../Form/form.tpl' myForm=$formLogout }
						<h4>{$t::getTraduction( "Identifiant_compte")} : {$compte->getLogin()}</h4>
						<br>
						<h2> {$t::getTraduction( "Forfait_cours")} </h2>
						<br>
						<h4>{$t::getTraduction( "Consommation")} : {$forfait->getCreditUsedPeriod()}
							/ {$forfait->getCredit()}</h4>
						<h4>{$t::getTraduction( "Date_debut_forfait")} : {$forfait->getDateDebut()}</h4>
						<h4>{$t::getTraduction( "Date_reset_forfait")} : {$forfait->getDateFin()}</h4>
						<br>
						<p>{$comtpeOnlineDs4}</p>
						<p>{$actualiteUrl}</p>
					{/if}
				{else}
					<p>{$t::getTraduction( "Recuperation_compte_impossible")}</p>
				{/if}

			</div>

			<div class="ds_card wp_card">

				<h2>{$t::getTraduction( "Select_emplacement_auto_1")}</h2>
				<p>{$t::getTraduction( "Select_emplacement_auto_2")}</p>
				{include file='./video_auto.tpl' placements=$placements }
				<div class="median"></div>

				{*            <h2>Informations personnalisées sur votre site : </h2>*}
				{*            {include file='../Form/form.tpl' myForm=$urlAndNameForm}*}
				{*            <div class="median"></div>*}

				{include file='../Form/form.tpl' myForm=$prixDisplaySelector}

				<!--div class="median"></div>

				<h2>{$t::getTraduction( "Votre_resolution")}</h2>

				<form action="#" method="post" class="ds_form">

					<label for=""> <input type="radio" name="resolution"
										  value="3840x2160" {if $resolution == "3840x2160" } checked {/if}>
						4K (3840x2160)
					</label><br>

					<label for=""> <input type="radio" name="resolution"
										  value="2560x1440" {if $resolution == "2560x1440" } checked {/if}>
						1440p (2560x1440)
					</label><br>

					<label for=""> <input type="radio" name="resolution"
										  value="1920x1080" {if $resolution == "1920x1080" } checked {/if}>
						Full HD (1920x1080)
					</label><br>

					<label for=""> <input type="radio" name="resolution"
										  value="1280x720" {if $resolution == "1280x720" } checked {/if}>
						HD (1280x720)
					</label><br>

					<label for=""> <input type="radio" name="resolution"
										  value="960x540" {if $resolution == "960x540" } checked {/if}>
						540p (960x540)
					</label><br>

					<label for=""> <input type="radio" name="resolution"
										  value="854x480" {if $resolution == "854x480" } checked {/if}>
						480p (854x480)
					</label><br>

					<label for=""><input type="radio" name="resolution"
										 value="640x360" {if $resolution == "640x360" } checked {/if}>
						360p (640x360)
					</label><br>

					<label for=""> <input type="radio" name="resolution"
										  value="426x240" {if $resolution == "426x240" } checked {/if}>
						240p (426x240)
					</label>


					<input type="submit" name="setResolution" class="btn btn_ds btn-primary  "
						   value="{$t::getTraduction( "Enregistrer")}">

				</form-->

				<div class="median"></div>


				<h2>{$t::getTraduction( "Votre_filigrane")}</h2>
				{include file='./watermark.tpl' watermark=$watermark}
				<div class="median"></div>

				<h2>{$t::getTraduction( "Secu_espace_disk")}</h2>
				{include file='./espace_disk.tpl' espaceDisk=$espaceDisk}
				
				<div class="median"></div>
				<h2>{$t::getTraduction( "Publi_youtube")}</h2>
				{include file='./youtube.tpl' espaceDisk=$espaceDisk}

			</div>
		</div>
		<div class="ds_card wp_card" style="display: none; vertical-align: top; width: 19%;">
			<h2>Validation</h2>
			<form action="#" method="post" class="ds_form">
				<input type="submit" name="globalSet" class="btn btn_ds btn-primary  "
						   value="{$t::getTraduction( "Enregistrer")}">
			</form>
		</div>
		<div class="ds_card wp_card">

			<h2>{$t::getTraduction( "Infos_module")} <a
						target="_blank"
						href="https://www.acacia-dynamic.com/routes/page.php?id=1548789">{$t::getTraduction( "Digital_Signage_4")}</a>
			</h2>
			<h4>{$t::getTraduction( "Auteur")} : <a target="_blank"
													href="https://www.acacia-dynamic.com/">{$pluginAuthor}</a></h4>
			<h4>{$t::getTraduction( "Version")} : {$pluginVersion} </h4>
		</div>
    </div>
{/block}
