<?php
/**
 * @author Acacia Dynamic
 * @copyright 2024 Acacia Dynamic
 * @license private
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

class AddAdminProductExtraPanel
{
    public static function registerHook()
    {
        return self::addCustomTabPost();
    }

    private static function addCustomTabPost()
    {
        ob_start();
        ?>
            <script>

                let tabName = "Digital Signage 4";
                let pageContent = "<?php echo rawurlencode(self::AdminProductsExtra()); ?>";

                let tabsContain = document.querySelector(".product-page .nav.nav-tabs.js-nav-tabs ");
                let tabs = document.querySelectorAll(".product-page .nav.nav-tabs.js-nav-tabs > li");

                if (tabsContain && tabs) {

                    let nextTabNumber = getNextTabNumber(tabs);

                    // Ajout de la nouvelle tab
                    tabsContain.appendChild(getNewTab(tabs, tabName, nextTabNumber));

                    //ajout de contenu
                    let tabsContainContent = document.querySelector(".product-page #form_content ");

                    var tabContentContainer = document.createElement('div');
                    tabContentContainer.setAttribute("role", "tabpanel");
                    tabContentContainer.classList.add("form-contenttab", "tab-pane");
                    tabContentContainer.id = "step" + nextTabNumber;
                    tabContentContainer.innerHTML = `
              <div class="row">
                <div class="col-md-12">
                  <div class="container-fluid">
                    <div class="row">
                      <div class="col-md-12">
                           `
                        + decodeURIComponent(pageContent.replace(/\+/g, " ")) +
                        `
                      </div>
                    </div>
                  </div>
                </div>
              </div>`;

                    tabsContainContent.appendChild(tabContentContainer);

                    var scripts = Array.prototype.slice.call(tabsContainContent.getElementsByTagName("script"));


                    for (var i = 0; i < scripts.length; i++) {
                        if (scripts[i].src != "") {
                            var tag = document.createElement("script");
                            tag.src = scripts[i].src;
                            document.getElementsByTagName("head")[0].appendChild(tag);
                        } else {
                            eval(scripts[i].innerHTML);
                        }
                    }

                }

                function getNextTabNumber(tabs) {

                    let lastTabNumber = 0;

                    tabs.forEach((tab) => {
                        let tabNumber = parseInt(tab.id.replace("tab_step", ""));
                        if (tabNumber > lastTabNumber) {
                            lastTabNumber = tabNumber;
                        }
                    });

                    lastTabNumber += 1;

                    return lastTabNumber;

                }

                function getNewTab(tabs, tabName, nextTabNumber) {
                    let newTabLink = tabs[0].cloneNode(true);
                    newTabLink.id = "tab_step" + nextTabNumber;
                    newTabLink.firstChild.href = "#step" + nextTabNumber;
                    newTabLink.firstChild.innerHTML = tabName;
                    newTabLink.firstChild.classList.remove("active");
                    newTabLink.firstChild.classList.remove("show");
                    return newTabLink;
                }


            </script>
            <?php
        return ob_get_clean();
    }

    public static function AdminProductsExtra()
    {
        //            $url = explode("/", $_SERVER['REQUEST_URI']); // Retrieve URL (ex : /admin768yo6csx/index.php/sell/catalog/products/18?_token=s1TsEgP1g2IV0)
        //            $id_product = $url[count($url) - 1]; // Get end of url (ex: 18?_token=s1TsEgP1g2IV0)
        //            $id_product = explode("?", $id_product)[0]; // Get id product (ex: 18);
        //
        //            try {
        //                $videoForThisProduct = (new VideoController())->getVideos(array('product_id' => $id_product));
        //            } catch (PrestaShopDatabaseException $e) {
        //                $videoForThisProduct = array();
        //                $this->_errors[] = $e->getMessage();
        //            }
        //
        //            $this->context->smarty->assign(array(
        //                'product'          => new Product($id_product),
        //                'product_img'      => $this->getImages($id_product),
        //                'gabarits'         => (new GabaritController())->getGabarits(),
        //                'urlTraitement'    => 'index.php?controller=AddVideo&token=' . Tools_DS4::getAdminTokenLite("AddVideo"),
        //                'urlVideos'        => 'index.php?controller=Videos&token=' . Tools_DS4::getAdminTokenLite("Videos"),
        //                'videosExistante'  => $videoForThisProduct,
        //                'videoPath'        => Tools_DS4::getModuleVideoUrl(),
        //                'updateController' => 'index.php?controller=Parent&token=' . Tools_DS4::getAdminTokenLite("Parent"),
        //                'user_connected'   => UserController::getInstance()->isConnected()
        //            ));
        //
        //
        //            return $this->display(__FILE__, "views/templates/hook/front/adminProductCreateVideoForm.tpl");
        //           return "test";
    }
}
