<?php
/**
 * @author Acacia Dynamic
 * @copyright 2024 Acacia Dynamic
 * @license private
 */
require_once 'Entity.php';

if (!defined('_PS_VERSION_')) {
    exit;
}

class PlaylistEntity extends Entity
{
    private $id;

    private $title;

    private $active;

    private $limit;

    private $videos = [];

    /**
     * @return null
     */
    public function get_id()
    {
        return $this->id;
    }

    /**
     * @param null $id
     *
     * @return PlaylistEntity
     */
    public function set_id($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * @return null
     */
    public function get_title()
    {
        return $this->title;
    }

    /**
     * @param string $title
     *
     * @return PlaylistEntity
     */
    public function set_title($title)
    {
        $this->title = $title;

        return $this;
    }

    /**
     * @return null
     */
    public function get_active()
    {
        return $this->active;
    }

    /**
     * @param bool $active
     *
     * @return PlaylistEntity
     */
    public function set_active($active)
    {
        $this->active = $active;

        return $this;
    }

    /**
     * @return null
     */
    public function get_limit()
    {
        return $this->limit;
    }

    /**
     * @param int $limit
     *
     * @return PlaylistEntity
     */
    public function set_limit($limit)
    {
        $this->limit = $limit;

        return $this;
    }

    /**
     * @return array
     */
    public function get_videos()
    {
        return $this->videos;
    }

    /**
     * @param array $videos
     *
     * @return PlaylistEntity
     */
    public function set_videos(array $videos)
    {
        $this->videos = $videos;

        return $this;
    }
}
