<?php

if (!defined('_PS_VERSION_')) {
    exit;
}

return [
    'Digital_Signage_4' => 'Digital Signage 4',
    'Digital_Signage_4_module_name' => 'DigitalSignage4 PrestaShop',
    'Erreur' => 'En Erreur - ERREUR 019',
    'Accueil' => 'Accueil',
    'Videos' => 'Vidéos',
    'Mes_videos' => 'Mes vidéos',
    'Playlists' => 'Playlists',
    'Mes_playlists' => 'Mes playlists',
    'Reglages' => 'Réglages',
    'nb_video_attente' => 'Nombre de vidéos en attente de création',
    'nb_video_cours' => 'Nombre de vidéos en cours de création',
    'nb_video_erreur' => 'Nombre de vidéos en erreur',
    'Credit_dispo_trial' => "Crédits disponibles pour mon forfait d'essai",
    'Connexion' => 'Connexion',
    'Creation_bdd_impossible' => 'Une erreur inconnue bloque la création de la base de données du module Digital Signage 4. - ERREUR 018',
    'MAJ_bdd_impossible' => 'Une erreur bloque la mise à jour de la base de données. - ERREUR 017',
    'Enregistrement_video_bdd_impossible' => "Impossible d'enregistrer la vidéo dans la base de données. - ERREUR 016",
    'Le_champ_ne_peut_pas_etre_vide' => 'Le champ <strong> %s </strong> ne peut être vide.',
    'Attente_creation' => 'En attente de création',
    'Attente' => 'En attente',
    'En_cours_creation' => 'En cours de création',
    'Creees' => 'Créées',
    'Creee' => 'Créée',
    'Pas_encore_dispo' => 'En attente',
    'Secu_disque_bloque_telechargement_video' => "La sécurisation de l'espace disque bloque le téléchargement de cette vidéo. Vous avez atteint la limite de sécurité que vous avez activé dans les paramètres de Digital Signage 4",
    'Bloquee' => 'Bloquée',
    'Oui' => 'Oui',
    'Non' => 'Non',
    'Date_demande' => 'Date de la demande',
    'Automatique' => 'Automatique',
    'Gabarit' => 'Gabarit',
    'Aperçu' => 'Aperçu',
    'Statut' => 'Etat',
    'Playlist' => 'Playlist',
    'Produit' => 'Produit',
    'Enregistrer' => 'Enregistrer',
    'Video_cree' => 'Vidéos créées',
    'Active' => 'Active',
    'Nom' => 'Nom',
    'Modifier' => 'Modifier',
    'Supprimer' => 'Supprimer',
    'Entrer_token_connexion' => 'Entrez votre clé de licence',
    'Creer_compte_ds4' => "Vous n'avez pas de compte ? Créer gratuitement un compte Digital Signage 4 ici",
    'Connexion_compte_etablie' => 'Connexion correctement établie avec votre compte !',
    'Extension_wooCommerce_pas_installe' => "L'extension %s fonctionne avec l'extension WooCommmerce. Merci de d'installer WooCommerce et de l'activer.",
    'Message_compte_essai' => "Vous utilisez actuellement <b>%s</b> avec un compte d'essai. <br> Votre compte d'essai a un nombre de vidéos limité.",
    'Message_upgrade_compte' => "Rendez-vous sur le site <a target='_blank' href='%s' >Digital Signage</a> pour créer un compte pro",
    'Erreur_automat_non_trouve' => "Cette automatisation n'existe pas. - ERREUR 024",
    'Erreur_playlist_non_trouvé' => "Cette playlist n'existe pas. - ERREUR 025",
    'Suppression_impossible' => 'Suppression impossible. - ERREUR 026',
    'Suppression_files_impossible' => 'Suppression des fichiers vidéos impossible',
    'Deconnexion' => 'Déconnexion',
    'Parametres_inchangé' => "Rien de neuf ! Pas besoin d'enregistrer.",
    'Espace_disque_save' => "Modification de l'espace disque enregistrée !",
    'Espace_disque_non_save' => "La modification de l'espace disque n'a pas pu être enregistrée :-(",
    'Filigrane_save' => 'Filigrane enregistré !',
    'Filigrane_non_save' => "La modification du filigrane n'a pas pu être enregistrée.",
    'image_erreur_download' => "L'enregistrement de l'image du filigrane n'a pas fonctionné. Problème de droits informatiques. - ERREUR 024",
    'Url_site' => 'URL du site web',
    'Nom_site' => 'Nom du site web',
    'Parametres_save' => 'Paramètres enregistrés',
    'Parametres_non_save' => "Les paramètres n'ont pas pu être enregistrés.",
    'Emplacement_save' => "Emplacements d'affichage enregistrés !",
    'Emplacement_non_save' => "Les emplacements d'affichage n'ont pas pu être enregistrés.",
    'Playlist_non_save' => "La playlist n'a pas pu être enregistrée.",
    'Video_cours_creation_playlist' => 'Vidéo en cours de création, vous pouvez voir son avancement en direct depuis la page %s ',
    'Update_impossible' => 'Mise à jour impossible.',
    'Delete_impossible' => 'Suppression impossible.',
    'Image_introuvable' => "L'image %s est introuvable. - ERREUR 020",
    'Video_cours_creation' => "Vidéo en cours de création. <br> Vous pouvez quittez cette page. <br> Vous pouvez vérifier l'avancement de cette vidéo depuis le module Digital Signage 4.",
    'Telechargement_video_impossible' => "La vidéo %s n'a pas pu être téléchargée sur votre serveur.",
    'Modif_video_impossible' => "Les droits informatiques du fichier de la vidéo %s n'ont pas pu être modifiés par DigitalSignage4. - ERREUR 021",
    'Crea_video_directory_impossible' => 'La création du dossier racine de stockage des vidéos a échoué. Problème de droits informatiques. - ERREUR 022',
    'Modif_video_directory_impossible' => 'Le changement des droits inforamtiques du dossier racine de stockage des vidéos a échoué. - ERREUR 023',
    'Recuperation_compte_impossible' => "Impossible de récupérer votre compte depuis l'API de l'éditeur. - ERREUR 031",
    'Video_displayed' => 'Vidéo affichée sur le produit',
    'Digital_Signage_4_creation' => 'Créer une vidéo Digital Signage 4',
    // Partie smarty de la traduction
    // add_auto
    'DEl_video' => 'Voulez-vous vraiment supprimer cette vidéo ?',
    'Video_supprime' => 'La vidéo a bien été supprimée',
    'Ajout_auto' => "Ajout d'une automatisation",
    'Nom_auto' => 'Nom de mon automatisation',
    'creation_auto_ajout' => "Créer automatiquement la vidéo du produit lorsqu'il est publié",
    'creation_auto_ventes' => 'Créer automatiquement les vidéos des produits les plus vendus de mon site',
    'Limit_creation_auto_ventes' => 'Créer les vidéos des %s produits les plus vendus sur mon site les %s jours précédents',
    'Aide_creation_auto_ventes' => "Chaque jours Digital Signage 4 va créer les vidéos des produits les plus vendus (si la vidéo n'existe pas déjà).",
    'Filtrer_produit_creable' => 'Choix des produits concernés par cette automatisation',
    'Prix_min' => 'Prix minimum',
    'Prix_max' => 'Prix maximum',
    'Categories' => 'Catégories',
    'parametres_video' => 'Choix du gabarit',
    'Choix_gabarit' => 'Choisissez un gabarit :',
    'Aucun_gabarit' => "Vous ne disposez d'aucun gabarit. Mais comment est-ce possible ????!!!!",
    'Enregistrement_videos' => 'Ajouter les vidéos créées dans une playlist',
    'Enregistrement_playlist_videos' => 'Je veux enregistrer les vidéos créées dans une playlist',
    'Playlist_enregistrement' => 'Playlist :',
    'Choix_playlist' => 'Choisissez votre playlist',
    'Nom_playlist_vide' => 'Vous devez choisir au moins une playlist',
    'Nom_auto_vide' => 'Vous devez donner un nom à votre automatisation !',
    'Playlist_enregistree' => 'Waou, votre playlist a bien été enregistrée',
    'Playlist_non_cree' => "La playlist n'a pas pu être créée. - ERREUR 027",
    'Playlist_non_enregistree' => "La playlist n'a pas été enregistrée. - ERREUR 028",
    'choix_playlist_vide' => "Choisissez une playlist avant d'enregistrer ou désactivez l'ajout dans une playlist.",
    'choix_gabarit_vide' => 'Merci de choisir un gabarit !',
    'Prix_min_max_couple' => 'Veuillez indiquer un prix minimum ET/OU un prix maximum.',
    'Prix_min_sup_prix_max' => 'Le prix minimum ne peut pas être supérieur ou égal au prix maximum !',
    'Auto_pas_type' => 'Indiquez quand est-ce que les vidéos seront créées automatiquement.',
    'Parametres_auto_ventes' => 'Vous devez remplir les paramètres relatifs aux produits les plus vendus.',
    'Auto_save' => "L'automatisation a bien été enregistrée",
    'no_image_dispo' => 'Aucune image disponible',
    'Cree_produit_pour_utilise_ds4' => "Vous pourrez créer des vidéos de présentation de votre produit dès que vous aurez cliqué sur 'Enregistrer le brouillon' ou 'Publier'",
    'api_non_joingnable_curl_error' => "Le module Digital Signage 4 n'arrive pas a joindre l'API de son éditeur Acacia Dynamic. - ERREUR 029<br> %s(%s) : %s",
    // creation_auto
    'Choix_facilite' => "Je laisse faire Digital Signage 4 pour qu'il crée automatiquement les vidéos pour moi ",
    'Comment_ca_marche' => 'Comment ça marche :',
    'Auto_tuto' => "Vous pouvez demander à Digital Signage 4 de créer par exemple des vidéos pour les produits les plus vendus ou uniquement ceux d'une catégorie de produits ou bien même dès que vous ajoutez un produit à votre catalogue ! Ces vidéos seront automatiquement ajoutées sur les fiches produit ou dans une playlist.",
    'Question_delete_playlist' => 'Voulez-vous vraiment supprimer cette playlist ?',
    'Question_delete_automatisation' => 'Voulez-vous vraiment supprimer cette automatisation ?',
    'Auto_delete' => "L'automatisation a bien été supprimée",

    // creation_manuel
    'Creation_manuelle' => 'Pour créer une vidéo rendez-vous directement sur la fiche du produit',
    'Creation_manuelle_btn_woo' => 'Mes Produits WooCommerce',
    'Creation_manuelle_btn_pre' => 'Mes Produits PrestaShop',

    // espace_disk
    'Active_secu_disk' => 'Ne pas télécharger mes nouvelles vidéos si le disque dur du serveur est bientôt plein',
    'Espace_libre' => 'Vous avez %s Go de libre sur votre disque de %s Go.',
    'Bloque_telechargement_new_video' => "Bloquer le téléchargement des nouvelles vidéos si l'espace libre est inférieur à",
    'Go' => 'Go',

    // parametres
    'Compte_ds4' => 'Mon Compte %s %s',
    'd_essai' => "d'essai",
    'Identifiant_compte' => 'Votre site e-commerce',
    'Token_connexion' => 'Clé de licence',
    'Forfait_cours' => 'Mon Forfait',
    'Consommation' => 'Vidéos créées dans mon forfait',
    'Date_debut_forfait' => 'Date début de forfait',
    'Date_reset_forfait' => 'Date de remise à zéro du forfait',
    'Compte_online_ds4' => 'Accéder à mon compte, changer de forfait ?',
    'Cliquez_ici' => 'Cliquez-ici',
    'Actualitees_site' => "Retrouver toutes les actualités sur Digital Signagne 4 sur notre <a target='_blank' href='%s' >site</a>.",
    'Select_emplacement_auto_1' => 'Position de la vidéo sur mes fiches produits',
    'Select_emplacement_auto_2' => 'Choisissez un ou plusieurs emplacements.',
    'Votre_filigrane' => 'Ajout de filigrane',
    'Secu_espace_disk' => "Sécurisation de l'espace disque du serveur",
    'Infos_module' => 'Informations sur votre module',
    'Auteur' => 'Auteur',
    'Version' => 'Version',
    'Affichage_du_prix' => 'Affichage des prix dans mes vidéos',
    'Change_filignane' => 'Choisir une autre image pour le filigrane',

    // watermark
    'Choix_logo_filigrane' => 'Choisissez le logo à utiliser pour le filigrane',
    'Ajout_filignane' => 'Ajouter un filigrane sur toutes mes vidéos',

    // add_playlist
    'Ajout_playlist' => 'Créer une playlist',
    'Nom_playlist' => 'Nom de votre playlist',
    'Tuto_ajout_video_playlist' => "- Pour ajouter une vidéo dans votre playlist, cliquez sur le '+' en bas de chaque vidéo.<br>- Vous pouvez changer l'ordre d'affichage en cliquant sur une vidéo et en la déplaçant.",
    'Videos_playlist' => 'Vidéos de la playlist',
    'Save_playlist' => 'Enregistrer la playlist',
    'Playlist_save' => 'La playlist a bien été enregistrée.',
    'Playlist_nom_vide' => 'Le nom de la playlist ne peut être vide',

    // playlist
    'Shortcode' => 'Shortcode',
    'Shortcode_tuto_playlist' => "Les shortcodes sont de la forme  [digitalsignage4_playlist id=6]  et permettent d'afficher votre playlist à n'importe quel endroit de votre boutique (sur votre page d'accueil, sur la page d'une catégorie de produits, ...).",
    'Titre' => 'Nom',
    'Limite_affichage' => "Limiter l'affichage",
    'Active_tuto' => 'Si vous désactivez ici une playlist, elle ne sera plus visible partout où le shortcode a été inséré.',
    'Limit_tuto' => 'Exemple : Si votre playlist contient 5 vidéos et que vous avez ici limité à 3 alors seules les 3 premières vidéos de votre playlist seront affichées.',
    'Nombre_video_playlist' => 'Nombre vidéos dans la playlist',
    'DEl_playlist' => 'Voulez-vous vraiment supprimer cette playlist ?',
    'Playlist_supprime' => 'La playlist a bien été supprimée',
    'Playlist_modifir' => 'Modification enregistrée',
    'Tuto_playlist' => "Vous pouvez créer des playlists contenant plusieurs vidéos que vous pouvez faire apparaître par exemple sur votre page d'accueil ou sur une page de catégories des produits grace au shortcode.",

    // videotheque
    'Stat_video' => 'Vue globale',
    'In_error' => 'En erreur',
    'Total' => 'Total',
    'Video_shortcode_tuto' => "Les shortcodes sont de la forme [digitalsignage4 id=148] et permettent d'afficher une vidéo sur la page de votre choix. Sur les pages produits, vous n'avez pas besoin d'ajouter les shortcode car ils sont automatiquement ajoutés par DigitalSignage 4 !",
    'gabarit_introuvable' => "Ce gabarit n'existe plus",
    'Download_video' => 'Télécharger la vidéo',

    // adminProductCreateVideoForm
    'Cree_nouvelle_video' => 'Créer une vidéo',
    'Historique_video_produit' => 'Historique des vidéos de ce produit',
    'Historique_vide' => "Aucune vidéo de ce produit n'existe pour l'instant.",
    'Lien_videotheque' => 'Voir toutes mes vidéos',
    'pas_reponse_serveur' => 'Pas de réponse du serveur - ERREUR 003',
    'Creation_impossible' => 'Création de la video impossible - ERREUR 002',
    'Erreur_retour_api' => "Erreur de traitement sur le retour de l'API du serveur Digital Signage 4 - ERREUR 001",
    'Create_the_video' => 'Créer la vidéo',

    // kernel
    'class_introuvable' => "La classe %s n'existe pas - ERREUR 004.",
    'api_non_joingnable' => "L'API de Digital Signage 4 n'est pas joingnable. - ERREUR 005",
    'champ_obligatoir' => 'le champ %s est obligatoire. - ERREUR 010',
    'attribut_faux' => "L'attribut %s de %s devrait être de la class %s. - ERREUR 011",
    'mauvais_cms_linker' => "Ce manager a besoin d'une instance valide de CMS_Linker en paramètres. Vérifier vos implémentations de l'interface CSM_Linker. - ERREUR 006",
    'mauvais_parametre_type' => "La fonction %s a besoin d'un parametre de type %s. - ERREUR 012",
    'error_api' => "Erreur lors de la récuperation de l'entité %s depuis l'API Digital Signage 4. - ERREUR 007",
    'champ_faux' => "L'élément demandé n'existe pas (%s). - ERREUR 013",
    'image_introuvable' => "Impossible de trouver l'image '%s' du produit, le lien est erroné. - ERREUR 008",
    'image_type_faux' => "Le type '%s' de l'image n'est pas accepté. Il faut obligatoirement que l'image ait un des ces types (gif, png, jpg, jpeg, webp). - ERREUR 014",
    // 'api_erreur'                            => "z-L'api a refusé le requete pour cause : %s",
    'api_erreur' => '%s  - ERREUR 009',
    'aucun_resultat' => 'Aucun %s trouvé avec ces paramètres. - ERREUR 015',

    'Creation_meta_image' => 'Digital Signage 4 Automatisation',
    'Default_video_name' => 'Vidéo',
];
