<?php
/**
 * @author Acacia Dynamic
 * @copyright 2024 Acacia Dynamic
 * @license private
 */
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

if (file_exists('./../../../../../wp-load.php')) {
    define('WP_USE_THEMES', false); // Don't load theme support functionality
    require './../../../../../wp-load.php';
} else {
    require './../../../../../config/config.inc.php';
    require './../../../../../init.php';
    require_once './../../../digitalsignage.php';
    DigitalSignageTranslate::setLang(substr(get_bloginfo('language'), 0, 2));
    refresh_local_token();
}

require_once __DIR__ . '/../../Classes/Tools_DS4.php';
require_once __DIR__ . '/../../Kernel/API/Manager/DigitalSignageException.php';
require_once __DIR__ . '/../../Kernel/Translations/DigitalSignageTranslate.php';
require_once __DIR__ . '/../../Classes/Wp_caller.php';
require_once __DIR__ . '/../../Kernel/API/Manager/DemandeManager.php';
require_once __DIR__ . '/../../controllers/override/UpdateVideoHandleManager.php';

if (!defined('_PS_VERSION_')) {
    exit;
}

if (isset($_FILES)) {
    if (isset($_FILES['file'])) {
        // file_put_contents('debug_ag.txt',"files:"."\n",FILE_APPEND);
        // $uploaddir = Tools_DS4::getModuleImgDir();
        $uploaddir = Tools_DS4::getModuleUrlPresta() . '/ds4woo/Files/';
        $uploaddir = str_replace('\\', '/', $uploaddir);

        $uploadfile = $uploaddir . 'gabarit_customize_' . Tools::getValue('id_gabarit') . '_' . Tools::getValue('destination') . '.png';
        /*
        file_put_contents('debug_ag.txt',serialize($_FILES)."\n",FILE_APPEND);
        file_put_contents('debug_ag.txt',"plop"."\n",FILE_APPEND);
        file_put_contents('debug_ag.txt',json_encode($_FILES)."\n",FILE_APPEND);
        file_put_contents('debug_ag.txt',"_POST"."\n",FILE_APPEND);
        file_put_contents('debug_ag.txt',json_encode($_POST)."\n",FILE_APPEND);
        */
        $responseText = '';

        // file_put_contents('debug_ag.txt',"picture_button"."\n",FILE_APPEND);
        if ($_FILES['file']['size'] > 0) {
            // file_put_contents('debug_ag.txt',"size:".$_FILES['file']['size']."\n",FILE_APPEND);
            $watermarkUploaded = move_uploaded_file($_FILES['file']['tmp_name'], $uploadfile);

            if ($watermarkUploaded) {
                chmod($uploadfile, 0777);
            }
            $url_file = Tools_DS4::getModuleUrlPresta() . 'ds4woo/Files/gabarit_customize_' . Tools::getValue('id_gabarit') . '_' . Tools::getValue('destination') . '.png';
            $responseText = $url_file . ';' . $uploadfile;
            // $responseText=$url_file;
        }

        exit(json_encode($responseText));
    }
}

$datas = $_POST;
$gabaritManager = new GabaritManager();
$gabarit = $gabaritManager->getGabarit($datas['gabarit']);
$gabarit->setCustom($datas);
